                page    60,132
                title   REIPL.ASM = Performs a Warm System Boot =

                comment |

         REIPL - Performs a warm system boot, Version 1.00 - 12/20/85

     Copyright(c) 1985, GEE WIZ(tm) Software Company, ALL RIGHTS RESERVED

              Written by Gee M. Wong for Public Domain use ONLY.



                                    NOTICE
                                    ------

REIPL may not be sold.  It's code however may be freely used in any product,
commerical or public.


                            GEE WIZ Sofware Company
                               10 Manton Avenue
                           East Brunswick, NJ 08816
                                c/o: Janet Huie



                                  DESCRIPTION
                                  -----------

REIPL may be invoked from a BATCH file or a high level language program to
force a WARM system boot to take place.

REIPL has been test on a 3270-PC, XT/370, and AT/370 equipped with the
standard floppy disk and hard disk drives and controllers supplied by IBM,
using PC-DOS(tm) 2.1 and 3.1.

REIPL executes instruction in the BIOS ROM.  It is therefore, only sensitive
to the BIOS ROM.  Any machine which can execute either MS-DOS(tm) or PC-DOS(tm)
will be able to run REIPL.



                                     USAGE
                                     -----

To perform a system boot, use the command:

                REIPL



                                  DISCLAIMER
                                  ----------

The author has taken due care in developing and testing the effectiveness of
this utility, and makes no expressed or implied warranty of any kind with
regard to this utility.  In no event shall the author or GEE WIZ Software
Company be liable for incidental or consequential damages in connection with or
arising out of the use of this utility.



                                     NOTES
                                     -----

              GEE WIZ is a trademark of GEE WIZ Software Company.
               MS-DOS is a trademark of Microsoft Incorporated.
               PC-DOS is a trademark of Microsoft Incorporated.
          PC-DOS is a trademark of International Bussiness Machines.


----------------|
                page
;=======================================================================;
;                                                                       ;
;       This segment is used to reference a "JMP" instruction in        ;
;       ROM which branch to the boot code in ROM.                       ;
;                                                                       ;
;=======================================================================;

rom_seg         segment at 0ffffH
boot_jmp        label   far
rom_seg         ends


;=======================================================================;
;                                                                       ;
;       This segment is used to reference a word in the BIOS data       ;
;       area which is used to determine if a WARM or COLD reboot        ;
;       should be performed by the reboot code in ROM.                  ;
;                                                                       ;
;=======================================================================;

bios_seg        segment at 0040H
                org     bios_seg+72H
boot_flags      label   word
bios_seg        ends

cold_boot       equ     0000H           ;Value to indicate COLD reboot
warm_boot       equ     1234H           ;Value to indicate WARM reboot


                page
;=======================================================================;
;                                                                       ;
;       The following lines set the boot flags in the BIOS Data         ;
;       Area and then invoke the boot code in the BIOS ROM.             ;
;                                                                       ;
;=======================================================================;

code_seg        segment
                assume  CS:code_seg, DS:code_seg
                org     code_seg+100H

reipl           proc
                mov     AX,bios_seg
                mov     DS,AX           ;Point to BIOS Data Area
                assume  DS:bios_seg
                mov     boot_flags,cold_boot

                assume  DS:rom_seg
                jmp     boot_jmp        ;Jump to Boot Code
reipl           endp

code_seg        ends

                end     reipl
